function [CICval] = cic(Sample, Sim, x)

[num,junk] = size(Sim);
sampleint = perint(Sample',x);

cicqlm = 0 ;
for i = 1:num;
    if Sim(i,:) >= sampleint(1,1) & Sim(i,:) <= sampleint(1,2);
         cicqlm = cicqlm + 1;
    else;
        cicqlm = cicqlm ;
    end;
end;

CICval = (100/x)*cicqlm/num;
%CICval = (emppval(Sim,sampleint(1,1))-emppval(Sim,sampleint(1,2)))/(x/100);


function [interval] = perint(Data,x)

[nobs,num] = size(Data);

alpha=(100-x)/2;
lpercent=num*alpha/100;
upercent=num*(100-alpha)/100;
interval=zeros(nobs,2);

i=1;
while i <= nobs;
  sortdata=sort(Data(i,:)',1)';
  interval(i,1)=sortdata(:,ceil(lpercent));
  interval(i,2)=sortdata(:,ceil(upercent));
i=i+1;
end;


end

end

