function [KS,CVM] = kscvm(SDF, VAR, low_freq, up_freq)
%    Calculating KS and CvM statistics
% 
%
[ndraw,junk] = size(SDF');


 %49 = 1 year per cycle 24 = 2 years per cycle,33 = 1.5year per cycle,
 %6.114 = 8 years per cycle

diff_freq = up_freq - low_freq + 1;

RMAT = zeros(98,1);
UMAT = zeros(98,1);
BMAT = zeros(98,1);

%STDMVAR = std(VAR')';
%STDSDF  = std(SDF')';
KS   = zeros(ndraw,1);
CVM  = zeros(ndraw,1);

tau = 2/196;
freq = tau*pi;

 for i = 2:98;
   tau = [tau; 2*i/196];
   freq = [freq; 2*pi*i/196];
 end
 

 

 for i = 1:ndraw;
  
  
   for j = low_freq:up_freq;
      
      RMAT(j,1) = SDF(round(freq(j)*100),i)/VAR(round(freq(j)*100),1);
      %RMAT(j,1) = VAR(round(freq(j)*100),1)/SDF(round(freq(j)*100),i);
      
   end
 
    
      
   UMATALL = sum(RMAT(:,1));
   
   
   
   for j = 1:98;

    BMAT(j,1) = (sqrt(2*196)/196)*(sum(RMAT(1:j,1))-tau(j)*UMATALL);
    
   end 
 
 KS(i,1) =  max(abs(real(BMAT(low_freq:up_freq,1))));  
 CVM(i,1) = BMAT(low_freq:up_freq,1)'*BMAT(low_freq:up_freq,1);
 end;
 